Page MenuHomePhabricator

scap backport change_url: Update to use new zuul plugin
Closed, ResolvedPublic

Description

T308290 was filed due to differences between the train-dev zuul plugin and production. The newer version of the zuul plugin returns a payload with differently named properties, requiring an update to scap backport's depends_on checks. New payload properties shown below.

{"depends_on_found":[],"depends_on_missing":[],"needed_by":[],"cycle":false}
{"depends_on_found":[{"id":"mediawiki%2Ftools%2Fscap~master~I7f1a656ef1f52345cbc854a8c64f26b1993c4528","project":"mediawiki/tools/scap","branch":"master","attention_set":{},"hashtags":[],"change_id":"I7f1a656ef1f52345cbc854a8c64f26b1993c4528","subject":"scap backport: add options stop-before-sync, yes","status":"MERGED","created":"2022-05-04 18:05:55.000000000","updated":"2022-05-05 18:16:17.000000000","submitted":"2022-05-05 18:15:11.000000000","submitter":{"_account_id":75},"insertions":25,"deletions":4,"total_comment_count":10,"unresolved_comment_count":0,"has_review_started":true,"submission_id":"789230","meta_rev_id":"a674ed7309aa0a7e6f5ae82886d7f250819425e6","_number":789230,"owner":{"_account_id":6582},"requirements":[]}],"depends_on_missing":[],"needed_by":[],"cycle":false}

Event Timeline

jeena changed the task status from Open to In Progress.May 17 2022, 12:11 AM
jeena claimed this task.

Change 792296 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[mediawiki/tools/scap@master] scap backport: zuul plugin payload changes update

https://gerrit.wikimedia.org/r/792296

Change 793553 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[mediawiki/tools/train-dev@master] Add tests: scap backport changes with dependencies

https://gerrit.wikimedia.org/r/793553

Change 792296 merged by jenkins-bot:

[mediawiki/tools/scap@master] scap backport: zuul plugin payload changes update

https://gerrit.wikimedia.org/r/792296

Change 793553 merged by jenkins-bot:

[mediawiki/tools/train-dev@master] Add tests: scap backport changes with dependencies

https://gerrit.wikimedia.org/r/793553